Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class EntityImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl

Direct Known Subclasses:
  AccountEntryImpl, AlphaNumericSequencerImpl, BusinessSmartWorkAreaImpl, ConfigurableEntityImpl, CustomerProfileImpl, EBusinessSessionImpl, InvoiceImpl, ItemInventoryImpl, ItemQualitiesImpl, ItemsByQualityImpl, MailboxImpl, OrderImpl, PackingListImpl, ShippingMethodImpl, StakeholderImpl, TroubleTicketImpl, UnitListImpl

public class EntityImpl
extends java.lang.Object
implements EntityBean

This is the base implementation of the Business Smart Component (BSC) entity interface. For each BSC Entity derived interface, there will be a corresponding BSC EntityImpl with business methods that are mirrored. It also provides storage for an EntityContext and an implementation of the Set and Get Entity Context methods.

See Also:
  `Entity`, Serialized Form

Field Summary
`EntityContext` | `ctx`
`boolean` | `isDirty`
`boolean` | `isLoaded`

Constructor Summary
`EntityImpl()` EntityImpl constructor.

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate(SmartKey key)` ejbCreate method.
`protected void` | `ejbCreateInitVars(SmartKey key)` Initialize this object's variables.
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(SmartKey key)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`EntityContext` | `getEntityContext()` getEntityContext method.
`boolean` | `isModified()` This method is used by some containers to evaluate if the bean has been modified and it must be persisted.
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isDirty

    public transient boolean isDirty

### ctx

    public transient EntityContext ctx

### isLoaded

    public transient boolean isLoaded

Constructor Detail

### EntityImpl

    public EntityImpl()

  EntityImpl constructor.

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  ejbActivate method.
  Specified by:
    ejbActivate in interface EntityBean

### ejbCreate

    public void ejbCreate(SmartKey key)
                   throws CreateException,
                          java.rmi.RemoteException

  ejbCreate method.

### ejbCreateInitVars

    protected void ejbCreateInitVars(SmartKey key)
                              throws CreateException,
                                     java.rmi.RemoteException

  Initialize this object's variables.

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  ejbLoad method.
  Specified by:
    ejbLoad in interface EntityBean

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  ejbPassivate method.
  Specified by:
    ejbPassivate in interface EntityBean

### ejbPostCreate

    public void ejbPostCreate(SmartKey key)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  ejbRemove method.
  Specified by:
    ejbRemove in interface EntityBean

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  ejbStore method.
  Specified by:
    ejbStore in interface EntityBean

### getEntityContext

    public EntityContext getEntityContext()
                                   throws java.rmi.RemoteException

  getEntityContext method.

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  setEntityContext method.
  Specified by:
    setEntityContext in interface EntityBean

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  unsetEntityContext method.
  Specified by:
    unsetEntityContext in interface EntityBean

### isModified

    public boolean isModified()
                       throws java.rmi.RemoteException

  This method is used by some containers to evaluate if the bean has been modified and it must be persisted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.